import React from 'react';
import { connect } from 'dva';
import StepOne from './StepOne';
import StepTwo from './StepTwo';
import '../../financialWallet.less';
export default class BusinessWallet extends React.Component {
  constructor(props, context) {
    super(props, context);
    this.state = {
      status: 0
    };
  }
  componentWillMount() { }
  componentDidMount() { }

  setStatus(status) {
    this.setState({
      status
    });
  }
  render() {
    const { status } = this.state;
    return (
      <div className="financial_container">
        {
          status == 0 &&
          <StepOne setStatus={this.setStatus.bind(this)} isAuthorize={this.state.isAuthorize}></StepOne>
        }
        {
          status == 1 &&
          <StepTwo setStatus={this.setStatus.bind(this)} reload={this.props.reload} ></StepTwo>
        }
      </div>
    );
  }
}